import sumolib

# Load the network
net = sumolib.net.readNet("network.net.xml")

# Define the destination edges
destination_edges = ["72", "177"]

# Fetch destination edge objects
destinations = [net.getEdge(edge_id) for edge_id in destination_edges]

# Define the excluded edges
excluded_edges = {"32", "143", "48", "159", "53", "164", "63", "174", 
                  "11", "122", "22", "133", "64", "175", "59", "170"}

# Iterate over all edges, excluding the destination edges and excluded edges
valid_edges = [edge for edge in net.getEdges() 
               if edge.getID() not in excluded_edges and edge.getID() not in destination_edges]

# Dictionary to store distances
edge_distances = {}

# Compute distances
for edge in valid_edges:
    edge_id = edge.getID()
    for dest in destinations:
        # Calculate the shortest path distance
        path, cost = net.getShortestPath(edge, dest, ignoreDirection=True)
        # Store the distance with a key formatted as 'edgeID_destinationID'
        edge_distances[f"{edge_id}_{dest.getID()}"] = cost

# Print the resulting dictionary
print("edge_distances =", edge_distances)
